Summary: library for accessing the termcap database
Name: libtermcap
Version: 2.0.8
Release: 9
Source: ftp://sunsite.unc.edu/pub/Linux/GCC/termcap-2.0.8.tar.gz
Url: ftp://sunsite.unc.edu/pub/Linux/GCC/
Copyright: LGPL
Group: Libraries
Patch: termcap-2.0.8-shared.patch
Patch1: termcap-2.0.8-setuid.patch
Requires: /etc/termcap
Summary(de): Library zum Zugriff auf die termcap-Datenbank
Summary(fr): Librairie pour accder  la base de donnes termcap.
Summary(tr): termcap veri tabanna eriim kitapl

%description
This is the library for accessing the termcap database.  It is necessary
to be installed for a system to be able to do much of anything.  

%package devel
Summary: development libraries and header files for termcap library
Group: Libraries
Requires: libtermcap
Summary(de): Entwicklungs-Libraries und Header-Dateien fr die termcap-Library
Summary(fr): Librairies de dveloppement et fichiers d'en-tte pour la librairie termcap.
Summary(tr): termcap kitapln kullanan programlar gelitirmek iin gerekli dosyalar

%description devel
This is the package containing the development libaries and header
files for writing programs that access the termcap database.  It may
be necessary to build some other packages as well.

%description -l de devel
Dies ist ein Paket mit Entwicklungs-Libraries und Header-Dateien
zum Schreiben von Programmen, die auf die termcap-Datenbank
zugreifen. Eventuell mssen noch ein paar andere Pakete gebaut
werden.

%description -l de
Dies ist die Library zum Zugriff auf die termcap-Datenbank. Sie mu
installiert werden, damit das System funktionsfhig ist.

%description -l fr devel
Ceci est le package contenant les bibliothques de dveloppement et
les fichiers d'en-tte pour crire des programmes accdant  la base 
de donnes termcap. Cela peut tre ncessaire pour construire certains
autres packages.

%description -l fr
Bibliothque pour accder  la base de donnes termcap. Ncessaire pour
qu'un systme puisse faire quelque chose.

%description -l tr devel
Bu paket, termcap veri tabann kullanan programlar gelitirmek iin gereken
balk dosyalar ve kitaplklar ierir.

%description -l tr
Bu paket termcap veri tabanna ulam kitapln ierir. Sistem zerinde
pek ok eyi yapabilmek iin kurulu olmas gerekmektedir.

%changelog

* Tue Jun 30 1998 Alan Cox <alan@redhat.com>

- But assume system termcap is sane. Also handle setfsuid return right.

* Tue Jun 30 1998 Alan Cox <alan@redhat.com>

- TERMCAP environment hole for setuid apps squished.

* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>

- spec file cleanups

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%prep
%setup -n termcap-2.0.8
%patch -p1
%patch1 -p1

%build

make RPM_OPT_FLAGS=$RPM_OPT_FLAGS

%install

export PATH=/sbin:$PATH
make install

ln -sf ../../lib/libtermcap.so.2.0.8 /usr/lib/libtermcap.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
/lib/libtermcap.so.2.0.8

%files devel
/usr/lib/libtermcap.a
/usr/lib/libtermcap.so
/usr/include/termcap.h
